<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());
session_start();
require('config/conexion.php');


if (isset($_SESSION['usuario'])) {
   
}else{
    header('Location: index.php');
    exit();
}

$ip_obtenida = $_POST['ip'];



 $consulta2 = "SELECT * FROM tabla_clientes WHERE ip='$ip_obtenida'";
 $resultado2 = mysqli_query( $conexion, $consulta2 ) or die ( "Algo ha ido mal en la consulta a la base de datos");

              if (mysqli_num_rows($resultado2)>=1){


                  while ($obj2 = mysqli_fetch_object($resultado2)) {

                      $user_agente=  $obj2->useragent;
                
                    }

              }

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://geo.leadboxer.com/GeoIpEngine/".$ip_obtenida."?jsonp=&callback=jQuery112405008093036142254_1706543211533&_=1706543211534",
  CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HEADER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "accept: */*",
    "accept-language: es-ES,es;q=0.9",
    "connection: keep-alive",
    "host: geo.leadboxer.com",
    "referer: https://www.opentracker.net/feature/ip-tracker?ip=140.51.159.132",
    "sec-ch-ua: \"Not_A Brand\";v=\"8\", \"Chromium\";v=\"120\", \"Google Chrome\";v=\"120\"",
    "sec-ch-ua-mobile: ?0",
    "sec-ch-ua-platform: \"Windows\"",
    "sec-fetch-dest: script",
    "sec-fetch-mode: no-cors",
    "sec-fetch-site: cross-site",
    "user-agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {


  //echo "cURL Error #:" . $err;


} else {


		$validacion1_p = strpos($response, 'countryName":"');
                      if ($validacion1_p !== false) {

                      $porciones_1_p = explode('countryName":"', $response);
                      $porciones_2_p= $porciones_1_p[1];

                      $porciones_3_p = explode('"', $porciones_2_p);
                      $pais = trim($porciones_3_p[0]);

                      //----------------------------

                      $porciones_1_p = explode('city":"', $response);
                      $porciones_2_p= $porciones_1_p[1];

                      $porciones_3_p = explode('"', $porciones_2_p);
                      $ciudad = trim($porciones_3_p[0]);

                      //----------------------------

                    
                    

                      
                      $codigo_postal = "";

                      //----------------------------

                      $porciones_1_p = explode('latitude":"', $response);
                      $porciones_2_p= $porciones_1_p[1];

                      $porciones_3_p = explode('"', $porciones_2_p);
                      $latitude = trim($porciones_3_p[0]);

                      //----------------------------

                      $porciones_1_p = explode('longitude":"', $response);
                      $porciones_2_p= $porciones_1_p[1];

                      $porciones_3_p = explode('"', $porciones_2_p);
                      $longitude = trim($porciones_3_p[0]);

                      //----------------------------

                         //----------------------------

                      $porciones_1_p = explode('timezone":"', $response);
                      $porciones_2_p= $porciones_1_p[1];

                      $porciones_3_p = explode('"', $porciones_2_p);
                      $timezone = trim($porciones_3_p[0]);

                      //----------------------------
              
                   
         }

		//



		$arr[] = array('user_agente' => $user_agente,'ip' => $ip_obtenida,'pais' => $pais,'ciudad' => $ciudad,'codigo_postal' => $codigo_postal,'latitude' => $latitude,'longitude' => $longitude,'timezone' => $timezone);

}


	echo '' . json_encode($arr) . '';


//echo var_dump($arr);

?>